<?php
/**
 * Created by PhpStorm.
 * User: oriol
 * Date: 20/04/16
 * Time: 18:15
 */

namespace tests;


use App\CotxeAutoritzat;
use App\Persona;

class CotxeAutoritzatTest extends \TestCase
{
    public function testCotxeAutoritzatCanBeCreated()
    {
        $CotxeAutoritzat = new CotxeAutoritzat();
    }
    public function testaddCotxeAutoritzatNoExist(){
        $CotxeAutoritzat = new CotxeAutoritzat();
        $matricula = '9875CXP';
        $marca = 'Ford';
        $model = 'Focus';
        if(!$CotxeAutoritzat->searchCotxeAutoritzat($matricula)){
            $response = $CotxeAutoritzat->insertCotxeAutoritzat($matricula,$marca, $model);
            $this->assertEquals(1, $response);
        }else{
            //$response = $CotxeAutoritzat->addCotxeAutoritzat($matricula,$marca, $model,$DNI);
            $this->assertEquals(0, $response);
        }
    }
    public function testllistaCotxeAutoritzat()
    {
        $CotxeAutoritzat = new CotxeAutoritzat();
        $uu = $CotxeAutoritzat->llistaCotxeAutoritzat();
        foreach($uu as $key => $data) {
            echo $data->matricula;
        }
    }
    /*public function testsearchCotxeAutoritzatTrue(){
        $CotxeAutoritzat = new CotxeAutoritzat();
        $matricula = '1111TRR';
        $response = $CotxeAutoritzat->searchCotxeAutoritzat($matricula);
        $this->assertEquals(True, $response);
    }
    public function testsearchCotxeAutoritzatFalse(){
        $CotxeAutoritzat = new CotxeAutoritzat();
        $matricula = 'PP';
        $response = $CotxeAutoritzat->searchCotxeAutoritzat($matricula);
        $this->assertEquals(False, $response);
    }
    Si matricula ja esta donada d'alta no passa test
    public function testaddCotxeAutoritzatNoExist(){
        $CotxeAutoritzat = new CotxeAutoritzat();
        $matricula = '1140ÑPR';
        $marca = 'Golf';
        $model = 'GTI';
        $DNI = '53395373E';
        if(!$CotxeAutoritzat->searchCotxeAutoritzat($matricula)){
            $response = $CotxeAutoritzat->addCotxeAutoritzat($matricula,$marca, $model,$DNI);
            $this->assertEquals(1, $response);
        }else{
            //$response = $CotxeAutoritzat->addCotxeAutoritzat($matricula,$marca, $model,$DNI);
            $this->assertEquals(0, $response);
        }
    }
    public function testaddCotxeAutoritzatDniNoExist(){
        $CotxeAutoritzat = new CotxeAutoritzat();
        $persona = new Persona();
        $matricula = '11eeTRR';
        $marca = 'd';
        $model = 'GTI';
        $DNI = '53395373E';
        if(!$persona->searchPersona($DNI)) {
            $response = $CotxeAutoritzat->addCotxeAutoritzat($matricula, $marca, $model, $DNI);
            $this->assertEquals('<span class="label label-warning">La persona amb dni ' . $DNI . ' no existeix</span>', $response);
        }

    }*/
}
